# Journal Attachment

The Journal Attachment object allows users to upload attachments to billing objects through an online link or file upload. It inherits from the abstract File base object.

This object contains the following attributes:

<table><thead><tr><th width="134">Field Name</th><th width="144">Data Type</th><th>Description</th></tr></thead><tbody><tr><td><code>URL</code></td><td>string</td><td><p>The external link to the attachment.</p><p>Example: https://address.to.journal.file.com/file.xlsx</p></td></tr><tr><td><code>id</code></td><td>string</td><td><p>The primary identifier for the billing attachment.</p><p>Example: BIA-1234-1234</p></td></tr><tr><td><code>type</code></td><td>string</td><td><p>The type of billing attachment.</p><p>Example: File</p></td></tr></tbody></table>

## Example response

{% code lineNumbers="true" %}

```json
{
  "id": "BIA-1234-1234",
  "name": "29 Nov 2024 #1 - journal data",
  "href": "/billing/journals/BJO-1234-5678/attachments/BIA-1234-1234",
  "type": "File",
  "contentType": "text/csv",
  "description": "Journal charges for Microsoft 365",
  "filename": "charges.csv",
  "audit": {
    "created": {
      "at": "2024-12-02T17:00:00Z",
      "by": { ... }
    }
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.platform.softwareone.com/developer-resources/rest-api/billing-api/journal-attachment.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
